﻿// See https://aka.ms/new-console-template for more information

using System.Text;
using System.Xml;
using XMLTransTool;

Console.WriteLine("Hello, World!");
string testxmlpath = @".\\test.xml";
if (!File.Exists(testxmlpath))
    return -1;
XmlDocument doc = new();
doc.Load(testxmlpath);
XmlElement xer = doc.DocumentElement;
XmlNodeList xnlist = xer.ChildNodes;
PrintNodeInfo(xnlist);
TransData td= AnalysisFile(xnlist);
td.PrintContent();
return 0;

void PrintNodeInfo(XmlNodeList nodeList)
{
    foreach (XmlNode node in nodeList)
    {

        Console.WriteLine("Node {0}, Type == {1}, Content == {2}",node.Name,node.NodeType,node.NodeType is XmlNodeType.Element? node.InnerText : node.Value);
        //if(node.HasChildNodes)
            //PrintNodeInfo(node.ChildNodes);
    }
}
TransData AnalysisFile(XmlNodeList nodeList)
{
    TransData td = new("Not a real name");
    string orig = String.Empty;
    string target = String.Empty;
    foreach (XmlNode node in nodeList)
    {
        if (node.NodeType is XmlNodeType.Comment)
            orig = node.Value;
        else
        {
            target = node.InnerText;
            td.AddText(node.Name,orig,target);
            orig = target = String.Empty;
        }
    }
    return td;
}